Package org.eclipse.birt.chart.model.attribute

# Interface URLValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `URLValueImpl`

public interface URLValue extends ActionValue
A representation of the model object 'URL Value'. URLValue extends type ActionValue to devote itself to 'URL_Redirect' actions.

The following features are supported:

- `Base Url`
- `Target`
- `Base Parameter Name`
- `Value Parameter Name`
- `Series Parameter Name`
- `Tooltip`

See Also:
  - `AttributePackage.getURLValue()`

## Method Summary

Modifier and Type
Method
Description
`URLValue`
`copyInstance()`
`String`
`getBaseParameterName()`
Returns the value of the 'Base Parameter Name' attribute.
`String`
`getBaseUrl()`
Returns the value of the 'Base Url' attribute.
`String`
`getSeriesParameterName()`
Returns the value of the 'Series Parameter Name' attribute.
`String`
`getTarget()`
Returns the value of the 'Target' attribute.
`String`
`getTooltip()`
Returns the value of the 'Tooltip' attribute.
`String`
`getValueParameterName()`
Returns the value of the 'Value Parameter Name' attribute.
`void`
`setBaseParameterName(String value)`
Sets the value of the '`Base Parameter Name`' attribute.
`void`
`setBaseUrl(String value)`
Sets the value of the '`Base Url`' attribute.
`void`
`setSeriesParameterName(String value)`
Sets the value of the '`Series Parameter Name`' attribute.
`void`
`setTarget(String value)`
Sets the value of the '`Target`' attribute.
`void`
`setTooltip(String value)`
Sets the value of the '`Tooltip`' attribute.
`void`
`setValueParameterName(String value)`
Sets the value of the '`Value Parameter Name`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getBaseUrl

String getBaseUrl()
Returns the value of the 'Base Url' attribute. Holds the base URL. This should include any static parameters like login information etc. and should NOT be encoded.

Returns:
  the value of the 'Base Url' attribute.
See Also:
  - `setBaseUrl(String)`
  - `AttributePackage.getURLValue_BaseUrl()`

### setBaseUrl

void setBaseUrl(String value)
Sets the value of the '`Base Url`' attribute.

Parameters:
  `value` - the new value of the 'Base Url' attribute.
See Also:
  - `getBaseUrl()`

### getTarget

String getTarget()
Returns the value of the 'Target' attribute. This element defines the target value to be used for the browser.

Returns:
  the value of the 'Target' attribute.
See Also:
  - `setTarget(String)`
  - `AttributePackage.getURLValue_Target()`

### setTarget

void setTarget(String value)
Sets the value of the '`Target`' attribute.

Parameters:
  `value` - the new value of the 'Target' attribute.
See Also:
  - `getTarget()`

### getBaseParameterName

String getBaseParameterName()
Returns the value of the 'Base Parameter Name' attribute. This element specifies the name to be used for the parameter whose value will be picked up from the base axis (if any).

Returns:
  the value of the 'Base Parameter Name' attribute.
See Also:
  - `setBaseParameterName(String)`
  - `AttributePackage.getURLValue_BaseParameterName()`

### setBaseParameterName

void setBaseParameterName(String value)
Sets the value of the '`Base Parameter Name`' attribute.

Parameters:
  `value` - the new value of the 'Base Parameter Name' attribute.
See Also:
  - `getBaseParameterName()`

### getValueParameterName

String getValueParameterName()
Returns the value of the 'Value Parameter Name' attribute. This element specifies the name to be used for the parameter whose value will be picked up from the current data value.

Returns:
  the value of the 'Value Parameter Name' attribute.
See Also:
  - `setValueParameterName(String)`
  - `AttributePackage.getURLValue_ValueParameterName()`

### setValueParameterName

void setValueParameterName(String value)
Sets the value of the '`Value Parameter Name`' attribute.

Parameters:
  `value` - the new value of the 'Value Parameter Name' attribute.
See Also:
  - `getValueParameterName()`

### getSeriesParameterName

String getSeriesParameterName()
Returns the value of the 'Series Parameter Name' attribute. This element specifies the name to be used for the parameter whose value will be picked up from the current series.

Returns:
  the value of the 'Series Parameter Name' attribute.
See Also:
  - `setSeriesParameterName(String)`
  - `AttributePackage.getURLValue_SeriesParameterName()`

### setSeriesParameterName

void setSeriesParameterName(String value)
Sets the value of the '`Series Parameter Name`' attribute.

Parameters:
  `value` - the new value of the 'Series Parameter Name' attribute.
See Also:
  - `getSeriesParameterName()`

### getTooltip

String getTooltip()
Returns the value of the 'Tooltip' attribute. The element defines a tooltip string to be displayed when mouse is over.

Returns:
  the value of the 'Tooltip' attribute.
See Also:
  - `setTooltip(String)`
  - `AttributePackage.getURLValue_Tooltip()`

### setTooltip

void setTooltip(String value)
Sets the value of the '`Tooltip`' attribute.

Parameters:
  `value` - the new value of the 'Tooltip' attribute.
See Also:
  - `getTooltip()`

### copyInstance

URLValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`